# Het handboek van &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;

&Niels.Reedijk;&Bram.Schoenmakers;&Tijmen.Baarda;

2000
2001
2002
&Jonathan.Singer;
2005
&Kurt.Hindenburg;
&FDLNotice;
2006-08-16
1.6.2

Dit is het gebruikershandboek van &konsole;.

&konsole; is een X-terminalemulator voor &kde;.

KDE
konsole
kdebase
commando
regel

## Inleiding tot &konsole;

### Wat is een terminal?

&UNIX;-besturingssystemen hadden oorspronkelijk geen grafische interface en werden bestuurd met behulp van toetsenbordcommando's -- beter bekend als de commandoregel-interface (in het Engels tot CLI afgekort). Sindsdien hebben onder andere de projecten &X-Window;, &kde; grafische interfaces toegevoegd die u nu gebruikt. Het onderliggende CLI-systeem is nog wel degelijk aanwezig en is nog steeds de krachtigste manier voor het uitvoeren van een groot aantal taken.

&konsole; staat bekend als een X-terminalemulator, vaak een terminal of shell genoemd. De toepassing biedt u het oorspronkelijke tekstscherm op uw bureaublad, dat naast uw grafische toepassingen draait. &Windows;-gebruikers zijn misschien bekend met de MS-DOS-prompt. Hier wordt dezelfde functie geboden met een DOS-commandoregel onder &Windows; (onder &UNIX; echter bieden CLI's veel meer mogelijkheden en gebruiksgemak dan DOS).

Het uitleggen van het gebruik van de commandoregel van &UNIX; ligtbuiten het doel van deze documentatie omdat dit een zeer dik boek zou opleveren. Gelukkig zijn er veel van dit soort boeken beschikbaar en verkrijgbaar in iedere goede boekhandel of bibliotheek, en dat in zeer veel talen. Er zijn tevens handleidingen beschikbaar op internet. &kde; mag uw leven dan wel een stuk gemakkelijker maken, maar het kan zeker geen kwaad om alsnog de commandoregel onder de knie te krijgen! U zult zien dat het leren van deze grondbeginselen uw computergebruik veel efficiënter en plezieriger maakt.

### Wat maakt &konsole; zo speciaal?

&konsole;'s geavanceerde mogelijkheden omvatten onder andere een eenvoudige configuratie en de mogelijkheid om meerdere terminals in een enkel venster te gebruiken om zo uw bureaublad schoon te houden.

Met &konsole; kan een gebruiker:

- &Linux;-consolesessies openen

- Shell-sessies openen

- Screen-sessies openen

- Midnight Commander bestandsbeheerder-sessies openen

- Root-consolesessies openen

- Root Midnight Commander-sessies openen

- Door de gebruiker gedefinieerde sessies openen

U kunt deze sessies hernoemen om ze snel te kunnen herkennen. Bovendien kunt u er signalen naar versturen: STOP, CONT, HUP, INT, TERM, KILL.

Voor meer controle over &konsole; kan een gebruiker:

- de menubalk en/of de rand verbergen/weergeven

- de grootte van een &konsole;-venster, de lettertypen, kleuren- en toetsenschema's instellen

- de locatie van de schuifbalk wijzigen of deze verbergen

- de locatie van de tabbladenbalk wijzigen of deze verbergen

Alle gekozen instellingen kunnen vastgelegd worden voor toekomstige sessies.

Voor degene met een grote interesse voor de verscheidene X-terminals: er bestaan nog twee andere: xterm, het origineel, zelfs geschreven vóór X (een maand of twee) en xvt, een lichtgewicht xterm-kloon, waarop de meeste afgeleide X-terminals op gebaseerd zijn (bijvoorbeeld eterm).

Na 10 jaar is &konsole; de eerste herschrijving van een X-terminal. Terwijl xterm letterlijk doodgehackt is (zijn `README` begint daarom ook met de woorden Abandon All Hope, Ye Who Enter Here), biedt &konsole; een frisse start gebruik makend van de laatste technologieën en met begrip van X.

## Gebruik van &konsole;

### Opstarten

Wanneer &konsole; opgestart wordt draait er een programma (normaal gesproken een &UNIX;-shell) in het venster. Begin gewoon met typen op de prompt.

Het scherm van &konsole;
Het scherm van &konsole;

&konsole; met vier terminal-sessies geopend

Standaard verschijnt er tijdens het opstarten een venster met de Tip van de dag. Daarin staan tips die bij het gebruik van &konsole; van pas kunnen komen. Als u deze tips niet meer wilt zien, schakel de optie Tonen tijdens starten dan uit.

### Geschiedenis

De regels die bovenaan het scherm uitrollen, kunt u toch bekijken door de schuifbalk naar boven te bewegen, of met de toetsen &Shift;Page Up (om een pagina terug te gaan), &Shift;Page Down (om een pagina verder te gaan), &Shift;Pijl omhoog (om een regel omhoog te gaan) en &Shift;Pijl omlaag (om een regel naar beneden te gaan), als de optie "Geschiedenis" is ingeschakeld.

&konsole; reageert bovendien hetzelfde als een FreeBSD-console wanneer de toets Scroll Lock is ingedrukt. Wanneer de Scroll Lock aan staat wordt de gewone in- en uitvoer van de shell onderdrukt en kunt u gewoon scrollen door de geschiedenis met Page Up, Page down en Pijl omhoog en Pijl omlaag.

De geschiedenis van &konsole; kunt u instellen via Instellingen Geschiedenis....

In het menu Bewerken biedt &konsole; een aantal functies die te maken hebben met de geschiedenis.

- Zoeken in geschiedenis...

- Volgende zoeken

- Vorige zoeken

- Geschiedenis opslaan als...

- Geschiedenis wissen

- Alle geschiedenissen wissen

Als we het over geschiedenissen hebben met betrekking tot &konsole;, bedoelen we hiermee altijd de tekst die in het venster van &konsole; staat. De shell die wordt uitgevoerd binnen &konsole; (bijvoorbeeld bash) heeft eveneens een geschiedenis, maar die heeft niets te maken met de geschiedenis van &konsole;.

### Sessies

Als u vaak inlogt op machines op afstand of altijd dezelfde terminal-toepassingen gebruikt, dan kunt u bij &konsole; de functie Sessie gebruiken samen met het sessiebeheer van &kde; om dit gedeeltelijk te automatiseren. Laten we een voorbeeld nemen. U gebruikt vaak een ssh-sessie naar de administratie-computer om algemene administratietaken uit te voeren. Wellicht hebt u de knop Nieuw op de tabbladbalk opgemerkt. Wanneer u wat langer op die knop drukt komt er een menu tevoorschijn met allerlei sessietypes. We gaan nu eens wat nieuwe items toevoegen aan dit menu.

1. Klik in het menu op Instellingen&konsole; instellen...

2. Ga naar het tabblad Sessie.

3. Vul in het eerste veld een naam in. Deze naam zal worden getoond in het menu en wordt standaard gebruikt in plaats van Shell wanneer u een nieuwe sessie start van dit type.

4. Voer het commando in dat u ook gebruikt in een nieuw-geopende shell om de taak uit te voeren. Voor het voorbeeld hierboven kunt u het volgende intypen: ``ssh` administratie`.

5. In het onderste gedeelte van dit venster kunt u het uiterlijk van de sessie instellen. Voor iedere sessie kunt u bijvoorbeeld een ander lettertype, kleurschema en $`TERM`-type instellen.

6. Klik op de knop Sessie bewaren.... Er verschijnt een dialoogvenster om een bestandsnaam op te geven.

7. Klik op OK.

U kunt nu de knop Nieuw ingedrukt houden om het nieuwe sessietype te kiezen. &konsole; opent een nieuwe shell met het resultaat van de uitgevoerde commando's. In dit voorbeeld is dat een ssh-prompt waar u uw wachtwoord of passphrase dient in te vullen. Wanneer u dat hebt gedaan zult u ingelogd worden op de machine administratie. U kunt deze stap ook overslaan door ssh-agent te gebruiken, maar dat is een ander verhaal. Als u bijvoorbeeld de http-logbestanden met foutmeldingen op een webserver wilt bekijken, dan kunt u een commando invoeren als ``ssh` `-f` webserver `tail` `-f` `/var/log/httpd-error.log``.

U kunt ook lokale commando's opgeven. Probeer eens een sessie te maken met het commando ``tail` `-f` `/var/log/messages``. Hierbij zal de sessie afgesloten worden zodra het uitgevoerde programma beëindigd wordt.

Een zeer aardige mogelijkheid is dat u kunt bepalen dat &kde; automatisch bij het opstarten van &kde; een aantal sessies kan openen waarvan u weet dat u ze altijd gebruikt.U laat daarvoor bij het afsluiten van &kde; gewoon de toepassingen open. Al deze openstaande programma's worden opgeslagen in uw &kde;-sessie. Wanneer u later &kde; weer opstart zullen uw &konsole;-sessies net als alle andere openstaande toepassingen hersteld worden.

Het is mogelijk om een sneltoets aan een sessie toe te kennen.

### Muisknoppen

In deze sectie wordt het gebruik van de muis uitgelegd ervan uitgaande dat u de muis rechtshandig hebt ingesteld. Als u een linkshandige muisinstelling hebt, draai de woorden links en rechts dan om in de tekst hieronder.

Links

  Telkens wanner u met de &LMB; klikt, wordt dit doorgegeven aan terminaltoepassingen die op de muis kunnen reageren. &konsole; toont een pijlcursor indien het terminalprogramma de muis ondersteunt. Als dat niet het geval is wordt een I-vormige cursor weergegeven.

  Als u de &LMB; ingedrukt houdt en sleept over het scherm bij een programma zonder muisondersteuning, wordt een gedeelte van de tekst gemarkeerd. Terwijl u sleept, wordt de gemarkeerde tekst omgekeerd weergegeven. Wanneer de knop losgelaten wordt, wordt de gemarkeerde tekst naar het klembord gekopieerd. De geselecteerde tekst kan ook naar hiermee compatibele programma's worden gesleept. Klik op de geselecteerde tekst en sleep die naar de gewenste locatie (afhankelijk van uw &kde;-instellingen kan het zijn dat u &Ctrl; ingedrukt dient te houden tijdens het slepen).

  Gewoonlijk worden de nieuwe-regel tekens aan het eind van elke regel geselecteerd. Dit is het beste voor het kopiëren en plakken van broncode of de uitvoer van een bepaald commando. Voor gewone tekst zijn de regelafbrekingen vaak niet belangrijk. Als u liever de tekst als een stroom tekens wilt, houd dan de toets &Ctrl; ingedrukt bij het selecteren.

  Als u de toetsen &Ctrl; en &Alt; ingedrukt houdt samen met de &LMB;, dan kunt u tekst in een vak selecteren.

  Dubbelklik met de &LMB; om een woord te selecteren, en klik driemaal om een hele regel te selecteren.

  Als de boven- of onderkant van het tekstgebied aangeraakt wordt tijdens het markeren, dan schuift &konsole; naar boven of beneden, om de tekst in de geschiedenisbuffer weer te geven. &konsole; stopt met schuiven zodra de muis stilstaat.

  Nadat de muis is losgelaten, laat &konsole; de tekst gemarkeerd om aan te geven dat deze tekst zich nu op het klembord bevindt. Dit wordt weer normaal zodra de inhoud van het klembord gewijzigd wordt, de tekst in het gemarkeerde gebied gewijzigd wordt of wanneer de &LMB; ingedrukt wordt.

  Om tekst te markeren in een programma dat de muis wel ondersteunt (bijvoorbeeld Midnight Commander) drukt u de toets &Shift; in tijdens het slepen.

Middelste knop

  Door het indrukken van de &MMB; wordt de tekst die zich op dat moment op het klembord bevindt in het venster geplakt. Als u de toets &Ctrl; ingedrukt houdt terwijl u op de middelste muisknop klikt wordt de tekst eveneens verzonden naar &konsole;.

  Als u een muis met slechts twee knoppen heeft, kunt u de &MMB; van een drieknopsmuis emuleren door de &LMB; en de &RMB; gelijktijdig in te drukken.

  Als uw muis een wieltje heeft die de functie van &MMB; heeft, kunt u daarmee de schuifbalk van &konsole; verplaatsen, mits de consoletoepassing geen muisondersteuning heeft.

Rechts

  Welke items in het contextmenu staan dat verschijnt als u op de &RMB; klikt, hangt af van of de menubalk wel of niet zichtbaar is.

  Als de menubalk zichtbaar is: Selectie-einde instellen, Kopiëren, Plakken, Signaal versturen, Sessie losmaken, Sessie hernoemen, Bladwijzers, Instellingen en Sessie sluiten.

  Als de menubalk onzichtbaar is: Menubalk tonen, Selectie-einde instellen, Kopiëren, Plakken, Signaal versturen, Sessie losmaken, Sessie hernoemen, Bladwijzers, Instellingen en Sessie sluiten.

  In toepassingen die muisondersteuning hebben, is het nodig om de toets &Shift; ingedrukt te houdenterwijl u op de &RMB; klikt om het contextmenu te tonen.

  Als u de toets &Ctrl; ingedrukt houdt terwijl u op de &RMB; klikt, wordt het Sessiemenu geopend.

### Menubalk

De menubalk staat aan de bovenkant van het venster van &konsole;. U kunt de menubalk bereiken met de toets &Alt;.

U kunt de menubalk verbergen met de optie Instellingen Menubalk verbergen.Wanneer de menubalk verborgen is, kunt u de optie Menubalk tonen bereiken door met de &RMB; te klikken in het venster of door op &Alt;&Ctrl;M te drukken, de standaard-sneltoets voor de menubalk. U kunt de menubalk ook verbergen of tonen door een sneltoets aan het menuoptie toe te kennen.

#### Het menu Sessie

Sessie Nieuwe shell

  Een nieuwe sessie openen met een terminal-shell. U kunt hiervoor tevens de toetscombinatie &Alt;&Ctrl;N gebruiken zoals hieronder wat gedetailleerder wordt beschreven.

Sessie Nieuw venster

  Opent een nieuw &konsole;venster

Sessie Nieuwe &Linux;-console

  Een nieuwe sessie openen die een alleen-tekst &Linux;-systeem nabootst.

  Zie het bestand `README.linux.console` bij de broncode van &konsole; voor gedetailleerde informatie over in welk opzicht de &Linux;-console anders is dan een normale &UNIX;-console. Als dit u niets zegt dan hoeft u zich er niet druk om te maken.

Sessie Nieuwe Midnight Commander

  Een nieuwe sessie openen met de bestandsbeheerder Midnight Commander.

  Dit menuoptie is alleen zichtbaar wanneer Midnight Commander (`mc`) op uw systeem is geïnstalleerd.

Sessie Nieuwe root Midnight Commander

  Een nieuwe sessie openen met de bestandsbeheerder Midnight Commander als de gebruiker root.

  Na het invullen van het root-wachtwoord, verschijnt de #-prompt onder de bestandenlijsten, wat aangeeft dat de gebruiker werkt met root-bevoegdheden. Dit is meestal nodig voor het installeren van nieuwe software en overig systeemonderhoud. Wees voorzichtig bij het gebruiken van de root-console om schade te voorkomen.

  Dit menuoptie is alleen zichtbaar wanneer Midnight Commander (`mc`) op uw systeem is geïnstalleerd.

Sessie Nieuwe root-shell

  Een nieuwe sessie met een shell-terminal openen als de gebruikerroot.

  Na het invullen van het root-wachtwoord, verschijnt de #-prompt, wat aangeeft dat de gebruiker werkt met root-bevoegdheden. Dit is meestal nodig voor het installeren van nieuwe software en overig systeemonderhoud. Wees voorzichtig bij het gebruiken van de root-console om schade te voorkomen.

Sessie Nieuwe Screen-sessie

  Een nieuwe sessie openen met de virtuele terminalbeheerder Screen. Zie ``man` `screen`` voor meer informatie.

  Dit menuoptie is alleen zichtbaar wanneer Screen (`screen`) geïnstalleerd is op uw systeem.

Sessie Nieuwe shell bij bladwijzer

  Een nieuwe terminal-shell opstarten in een map uit de Bladwijzer-lijst.

Sessie Schermafdruk...

  Het huidige scherm afdrukken.

Sessie Sessie sluiten

  De huidige sessie sluiten.

Sessie Afsluiten

  &konsole; afsluiten, waarbij alle sessies en programma's die in de sessies actief zijn tevens gesloten worden.

U kunt ook een nieuwe sessie openen met een sneltoets. Standaard wordt de toetsencombinatie &Ctrl;&Alt;N gebruikt. U kunt ook uw eigen sneltoetsen instellen via het menuitem Instellen Sneltoetsen instellen....

De lijst met beschikbare sessies laat zien welke toepassingen zijn geïnstalleerd samen met de door de gebruiker gedefinieerde sessies. De sessielijst wordt op alfabet getoond om het snel te kunnen overzien.

Ten slotte: u kunt de sessietypes wijzigen en aanmaken in het configuratiedialoog dat u kunt bereiken via Instellingen Konsole instellen....

#### Het menu Bewerken

Bewerken Kopiëren

  Kopieert de geselecteerde tekst naar het klembord.

&Shift;Insert Bewerken Plakken

  Plakt de tekst die op het klembord staat op de cursorpositie.

Bewerken Signaal versturen

  Een signaal verzenden - het gespecificeerde signaal wordt verzonden naar het shell-proces of een ander proces dat is opgestart bij het openen van de nieuwe sessie.

  Op dit moment zijn de volgende signalen beschikbaar:

  STOP | een proces stoppen
  CONT | doorgaan als het proces is gestopt
  HUP | iemand heeft de besturende terminal opgehangen, of het besturende proces is dood
  INT | onderbreking met het toetsenbord
  TERM | afbraaksignaal
  KILL | kill-signaal
  USR1 | Gebruikerssignaal 1
  USR2 | Gebruikerssignaal 2

  Meer informatie kunt u vinden in de manual-pagina's, dit kunt u opvragen door het commando ``man` `7 signal`` te geven.

&Alt;&Ctrl;U Bewerken ZModem-upload...

  Verzend een bestand via ZModem.

Bewerken Terminal leegmaken

  Wist alle tekst van het sessievenster.

Bewerken Terminal leegmaken en resetten

  Wist alle tekst van het sessievenster en zet het venster terug naar de beginwaarde.

Bewerken Zoeken in geschiedenis...

  Zoekt een woord of tekenreeks in de huidige geschiedenis. U kunt hoofdlettergevoelig zoeken, achterwaarts zoeken of gebruik maken van reguliere expressies. Klik op Bewerken... om de grafische editor van &kde; op te starten waarmee u reguliere expressies op kunt stellen.

Bewerken Volgende zoeken

  Zoekt verder met de tekst waarnaar u aan het zoeken was.

Bewerken Vorige zoeken

  Zoekt achterwaarts met de tekst waarnaar u aan het zoeken was.

Bewerken Geschiedenis opslaan als...

  Slaat de huidige geschiedenis op als tekstbestand.

Bewerken Geschiedenis wissen

  Wist de geschiedenis van de huidige sessie

Bewerken Alle geschiedenissen wissen

  Wist de geschiedenis van alle sessies.

#### Het menu Beeld

Beeld Sessie losmaken

  OPent de huidige sessie in een apart venster. De naam van de sessie wordt getoond in de titelbalk van het nieuwe venster.

&Alt;&Ctrl;S Beeld Sessie hernoemen...

  Opent een nieuw dialoogvenster waarin u de naam van de huidige sessie kunt wijzigen.. Deze naam wordt getoond op het tabblad van de sessie. Dit item heeft de toetscombinatie &Alt;&Ctrl;S .

Beeld Speuren naar activiteit

  Zorgt ervoor dat de huidige sessie een teken geeft wanneer er activiteit plaatsvindt. Bij activiteit verschijnt er een brandende lamp op het tabblad van de sessie. U kunt deze functie gebruiken wanneer u gewaarschuwd wilt worden als er iets gebeurt terwijl u in een andere sessie bezig bent. De tijdsduur voordat er een teken wordt gegeven kunt u instellen bij de instellingen van &konsole;.

Beeld Speuren naar stilte

  Zorgt ervoor dat de huidige sessie een teken geeft als er gedurende 10 seconden geen activiteit plaatsvindt. Bij stilte zal er een gedoofde lamp verschijnen in het tabblad van die sessie. U kunt deze functie gebruiken wanneer u gewaarschuwd wilt worden als er niets meer gebeurt (bijv. wanneer een taak beëindigd is) terwijl u in een andere sessie bezig bent. De tijdsduur voordat er een teken gegeven wordt kunt u instellen bij de instellingen van &konsole;.

Beeld Invoer naar alle sessies sturen

  Stuurt alle invoer in deze sessie door naar alle andere sessies. De sessie zal een klein pictogram in zijn tabblad tonen om u te laten weten dat u voorzichtig moet zijn met wat u intypt! Zo is het wellicht geen goed idee om ``rm` `-rf *`` in te typen.

&Ctrl;&Shift;Pijl naar links Beeld Sessie naar links verplaatsen

  Verplaatst het tabblad van de huidige sessie naar links.

&Ctrl;&Shift;Pijl naar rechts Beeld Sessie naar rechts verplaatsen

  Verplaatst het tabblad van de huidige sessie naar rechts.

  De toetscombinaties &Shift; Links en &Shift; Rechts kunt u hiervoor ook gebruiken.

Beeld Sessie-pictogrammen...

  Onderaan het menu staat een lijst van beschikbare sessies. Als u er een selecteert wordt die sessie actief.

  U kunt tevens de toetscombinaties &Shift;Links en &Shift;Rechts gebruiken om door de sessies te bladeren.

#### Het menu Bladwijzers

Bladwijzers Bladwijzer toevoegen

  Voegt de huidige locatie toe aan de lijst met bladwijzers.

Bladwijzers Bladwijzers bewerken...

  De lijst met bladwijzers bewerken.

Bladwijzers Nieuwe bladwijzermap...

  Voegt een nieuwe map toe aan de lijst met bladwijzers.

Aan de onderkant van het menu ziet u de lijst met bladwijzers.Selecteer een bladwijzer om naar die locatie te gaan.

U kunt de bladwijzerbewerker gebruiken om handmatig URL-adressen toe te voegen als ssh://user@host of telnet://host om een verbinding op afstand te openen.

#### Het menu Instellingen

Instellingen Menubalk verbergen

  Verbergt de menubalk

Instellingen Tabbalk

  De zichtbaarheid en locatie van de tabbalk instellen: Verbergen, Links of Rechts.

Instellingen Schuifbalk

  De zichtbaarheid en locatie van de schuifbalk instellen: Verbergen, Links of Rechts.

&Ctrl;&Shift;F Instellingen Volledig scherm-modus

  Schakelen tussen volledig scherm en normale grootte.

Instellingen Geluidsignaal

  De bel instellen: Systeembel, Systeemnotificatie, Zichtbare bel of Geen.

Instellingen Lettertype

  Stel de tekengrootte in: Lettertekens verkleinen of Lettertekens vergroten.

  Selecteer de optie Aangepast... om een eigen combinatie van lettertype, -grootte en -stijl vast te stellen.

Instellingen Codering

  De tekensetcodering instellen.

Instellingen Toetsenbord

  Kiest het gewenste toetsenbordschema.

  De lijst van deze toetsenbordindelingen komt uit `$KDEDIR/share/apps/konsole/*.keytab`. In het bestand `$KDEDIR/share/apps/konsole/README.KeyTab` staat een beschrijving van het `*.keytab`-formaat. Maak nieuwe bestanden aan of bewerk bestaande bestanden om ze aan uw wensen te laten voldoen. De standaard toetsenbordindeling komt uit `$KDEDIR/share/apps/konsole/README.default.Keytab`.

Instellingen Schema

  De kleuren van de tekst en achtergrond instellen.

  De lijst van deze schema's komt uit `$KDEDIR/share/apps/konsole/*.schema`. In het bestand `$KDEDIR/share/apps/konsole/README.Schema` staat een beschrijving van het `*.schema`-formaat. Maak nieuwe bestanden aan of bewerk bestaande bestanden om ze aan uw wensen te laten voldoen. U kunt ook aangepaste schema's maken bij de instellingen, te bereiken met Instellingen &konsole; instellen....

Instellingen Grootte

  De grootte van het tekstgebied instellen (in te voeren in het formaat kolommen x regels).

Instellingen Geschiedenis...

  Opent een dialoogvenster waarin u de geschiedenis knt instellen. Met het keuzevakje Activeren kunt u bepalen of de regels die boven het venster uitrollen wel of niet moeten worden opgeslagen. U kunt in het tekstvak Aantal regels invullen hoeveel regels moeten worden onthouden. Hiervoor kunt u ook de knopjes ernaast gebruiken, met stappen van 100 regels. Als u op Standaard klikt, wordt de geschiedenis teruggezet op 1000 regels. Met de knop Onbeperkt instellen kunt u ervoor zorgen dat de gehele geschiedenis bewaard wordt. Klik op OK om uw wijzigingen op te slaan of op Annuleren om het dialoogvenster te sluiten zonder de wijzigingen te bewaren.

Instellingen Opslaan als standaard

  De huidige instellingen instellen als standaardwaarden.

Instellingen Sessieprofiel opslaan...

  De huidige groep sessies opslaan onder een naam die u zelf bepaalt. Dit profiel kan later gebruikt worden bij het starten van &konsole; vanaf de commandoregel met de optie `--profile` gevolgd door de naam van het profiel.

Instellingen Notificaties instellen...

  De notificaties voor &konsole; instellen.

Instellingen Sneltoetsen instellen...

  De sneltoetsen voor de commando's in &konsole; instellen.

Instellingen&konsole; instellen...

  De module in het &kcc; openen waarin u vele extra opties kunt instellen die betrekking hebben op de interface en het gedrag van &konsole;, inclusief gebruikersgedefinieerde schema's en wijzigingen in beschikbare sessies.

#### Het menu Help

Help Konsole handboek

  De inhoudsopgave van dit document tonen.

Help Tip van de dag

  Een handige tip over het gebruik van &konsole; tonen. Selecteer de optie Tonen tijdens het starten om elke keer een tip te tonen wanner u &konsole; opstart.

Help Bug rapporteren...

  Een bug-rapport of verzoek om een functie voor &konsole; versturen.

Help Info over Konsole

  Informatie over de auteurs van &konsole;

Help Info over &kde;

  Informatie over het &kde;-project

### De tabbalk

De tabbalk maakt het mogelijk dat u meerdere terminal-sessies kunt openen in een enkel &konsole;-venster.

Afbeelding van de tabbalk
Afbeelding van de tabbalk

&konsole; met vier terminalsessies geopend met de tabbalk aan de onderkant.

Met het menu Instellingen Tabbalk kunt u de tabbalk naar de boven- of onderkant verplaatsen. Daarnaast kunt u met het item Verbergen de tabbalk geheel verbergen.

Links op de tabbalk staat een knop waarmee u een aantal handelingen kunt uitvoeren.

- Klik op de knop om een nieuwe standaardsessie te openen.

- Als u langdurig op de knop klikt komt er een lijst met sessiesoorten tevoorschijn.

- Klik met de &RMB; op de knop (of een stuk lege ruimte van de tabbalk) om een menu te openen waarin u bepaalde opties kunt instellen:

  - Tabbalk: Verbergen, Boven, Onder.

  - Tabopties: Tekst en pictogrammen, Alleen tekst, Alleen pictogrammen.

  - Dynamisch verbergen: als dit is ingeschakeld wordt de tabbalk verborgen als er slechts één sessie geopend is.

  - Tabbladgrootte automatisch aanpassen: de grootte van de tabbladen wordt automatisch aangepast zodat het in breedte past op de tabbalk.

Aan de rechterkant van de tabbalk staat een knop om de huidige sessie te beëindigen. De knop is uitgeschakeld als er slechts één sessie is geopend.

Het volgende menu komt tevoorschijn als u met de &RMB; op een tabblad klikt:

- Sessie losmaken

- Sessie hernoemen...

- Speuren naar activiteit

- Speuren naar stilte

- Invoer naar alle sessies sturen

- Tabkleur selecteren...

- Schakel naar tab...

- Sessie sluiten

### Commandoregel-opties

Als u &konsole; vanaf de commandoregel opstart, kunt u bepaalde opties opgeven om het gedrag ervan te wijzigen.

`--help`

  Alle mogelijke opties tonen.

`-e` `commando`

  `commando` uitvoeren in plaats van de normale shell.

  Alle argumenten die na `commando` komen, worden overgedragen naar `commando` in plaats van &konsole;.

`--keytab` `bestandsnaam`

  &konsole; opstarten met een bepaald .keytab-bestand om sneltoetsen te bepalen.

`--keytabs`

  Alle beschikbare keytabs tonen.

`--ls`

  Opstarten met een login-shell-omgeving. Wat er precies gebeurt is afhankelijk van uw systeem, maar in het algemeen betekent dit dat bestanden zoals `~/.profile` of `~/.bash_profile` zullen worden ingelezen (als dit niets voor u betekent, maakt u zich er dan geen zorgen over. Houd het echter wel in de gaten voor als u het nog eens nodig krijgt).

`--name` `naam`

  De naam instellen die wordt getoond in de titelbalk.

`--noclose`

  Voorkomen dat &konsole; afsluit wanneer het commando ``exit`` gegeven wordt als er slechts één actieve sessie is.

`--noframe`

  &konsole; opstarten zonder rand

`--nohist`

  Voorkomen dat regels die het venster uitschuiven worden opgeslagen.

`--nomenubar`

  &konsole; opstarten met een verborgen menubalk.

`--noresize`

  Voorkomen dat het terminalvenster van grootte gewijzigd kan worden.

`--noscrollbar`

  &konsole; met een verborgen schuifbalk opstarten.

`--notabbar`

  &konsole; opstarten met een verborgen tabbalk.

`--noxft`

  &konsole; opstarten zonder Xft-antialiasing. Kleine letters met anti-aliasing kunnen lastig te lezen zijn.

`--profile` `bestandsnaam`

  &konsole; opstarten aan de hand van een groep bewaarde sessies.

`--profiles`

  Een lijst tonen van alle beschikbare profielen.

`--schema` `naam` | `bestand`

  &konsole; opstarten aan de hand van het schema genaamd 'naam' of te vinden in het 'bestand' voor een ander uiterlijk.

`--schemata`

  Een lijst tonen van de beschikbare schema's.

`--script`

  Uitgebreide &DCOP;-functies voor &Qt; tonen.

`-T` `venstertitel`

  De venstertitel instellen.

`--tn` `terminal`

  De omgevingsvariabele TERM instellen op de opgegeven waarde. Zie ``man` `xterm`` voor meer informatie over TERM.

`--type` `type`

  Een sessie opstarten van het opgegeven type in plaats van het standaardtype.

`--types`

  Een lijst tonen van alle beschikbare types.

`--vt_sz` `KKxRR`

  Een terminalvenster opstarten met KK kolommen en RR regels.

`--workdir` `map`

  Openen met `map` als werkmap.

Voorbeelden:

    &percnt; konsole --vt_sz 90x25 --nohist

Dit voorbeeld start een &konsole;-venster op met 90 kolommen en 25 rijen, zonder geschiedenis

    &percnt; konsole --noclose -e echo_args Hallo, bedankt dat u voor &konsole; hebt gekozen!

Dit voorbeeld start een &konsole;-venster op met met de tekst: 'Hallo, bedankt dat u voor &konsole; hebt gekozen!'

De parameter `echo_args` is een eenvoudig Bash-script:

    #!/bin/bash
    echo $*

&konsole; accepteert ook algemene &Qt;- en &kde;-opties:

`--help-qt`

  Een lijst tonen van &Qt;-specifieke opties

De volgende &Qt;-opties hebben geen effect op &konsole;:

`--fn`, `--font` `fontname`

  Het toepassingslettertype instellen

`--bg`, `--background` `color`

  De standaard achtergrondkleur instellen

`--fg`, `--foreground` `color`

  De standaard voorgrondkleur instellen

`--btn`, `--button` `color`

  De standaard knopkleur instellen

`--help-kde`

  Een lijst tonen van &kde;-specifieke opties

`--help-all`

  Een lijst van alle opties tonen

`--author`

  De namen van de auteurs tonen

`-v,--version`

  Het versienummer tonen

`--license`

  Licentie-informatie tonen

### &DCOP;

Voor een inleiding tot &DCOP; en de aanroep van het commando `dcop`, bekijkt u het deel over &DCOP; in de gebruikershandleiding.

## Dankbetuigingen en copyright

Sinds &kde; 3.4 wordt &konsole; onderhouden door &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Daarvoor werd &konsole; onderhouden door &Waldo.Bastian; &Waldo.Bastian.mail;

De toepassing &konsole; Copyright © 1997-2005 &Lars.Doelle; &Lars.Doelle.mail;

Dit document is geschreven door &Jonathan.Singer; &Jonathan.Singer.mail;

Dit document is bijgewerkt naar &kde; 3.4 door &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Geconverteerd naar DocBook SGML door &Mike.McBride; en &Lauri.Watts;

&meld.fouten;&vertaling.niels;&vertaling.bram;&vertaling.tijmen;&nagelezen.rinse; &underFDL; &underGPL;

## &konsole; op niet-&Linux; platforms

Informatie over het compileren van &konsole; op andere platforms dan &Linux; is beschikbaar in het bestand `README.ports` bij de broncode van &konsole;. Het bestand bevat een lijst van experts voor bepaalde platforms (Tru64, &Solaris;, OpenBSD) en vraagt tevens om vrijwilligers voor andere &UNIX;-platforms.

Meer informatie kunt u vinden op de volgende websites:

- &kde; op FreeBSD

- &kde; op &Solaris;

&documentation.index;